<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Test;
use App\Models\Patient;
use App\Models\Group;
use App\Models\GroupTest;
use App\Models\Expense;
use App\Models\Contract;
use Spatie\Activitylog\Models\Activity;

class IndexController extends Controller
{
    /**
     * admin dashboard
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //general statistics
        $tests_count=Test::where('parent_id',0)->count();
        $patients_count=Patient::count();
        $contracts_count=Contract::count();
        $groups_count=Group::count();
       
        //tests statistics
        $group_tests_count=GroupTest::count();
        $pending_tests_count=GroupTest::where('done',false)->count();
        $done_tests_count=GroupTest::where('done',true)->count();
       
        //total income , due , payment
        $today_paid=0;

        $today_groups=Group::whereDate('created_at',now())->get();

        foreach($today_groups as $group)
        {
            $today_paid+=$group['paid'];
        }

        //expenses
        $today_total_expense=0;
        
        $today_expenses=Expense::whereDate('date',now())->get();
       
        foreach($today_expenses as $today_expense)
        {
            $today_total_expense+=$today_expense['amount'];
        }

        //today profit
        $today_profit=$today_paid-$today_total_expense;

        return view('admin.index',compact(
            'tests_count',
            'patients_count',
            'group_tests_count',
            'pending_tests_count',
            'done_tests_count',
            'today_paid',
            'today_total_expense',
            'today_profit',
            'contracts_count',
            'groups_count'
        ));
    }
}
