    var count=0;
    var antibiotic_count=$('#antibiotic_count').val();

    (function($){
        
        "use strict";

        //active
        $('#reports').addClass('active');

        //reports datatables
        var table=$('#reports_table').DataTable( {
            dom: "<'row'<'col-sm-4'l><'col-sm-4'B><'col-sm-4'f>>" +
                "<'row'<'col-sm-12'tr>>" +
                "<'row'<'col-sm-4'i><'col-sm-8'p>>",
            buttons: [
                {
                    extend:    'copyHtml5',
                    text:      '<i class="fas fa-copy"></i> '+trans("Copy"),
                    titleAttr: 'Copy'
                },
                {
                    extend:    'excelHtml5',
                    text:      '<i class="fas fa-file-excel"></i> '+trans("Excel"),
                    titleAttr: 'Excel'
                },
                {
                    extend:    'csvHtml5',
                    text:      '<i class="fas fa-file-csv"></i> '+trans("CVS"),
                    titleAttr: 'CSV'
                },
                {
                    extend:    'pdfHtml5',
                    text:      '<i class="fas fa-file-pdf"></i> '+trans("PDF"),
                    titleAttr: 'PDF'
                },
                {
                    extend:    'colvis',
                    text:      '<i class="fas fa-eye"></i>',
                    titleAttr: 'PDF'
                }   
            ],
            "processing": true,
            "serverSide": true,
            "bSort" : false,
            "ajax": {
                url: url("admin/get_reports"),
                data:function(data)
                {
                    data.filter_status=$('#filter_status').val();
                    data.filter_barcode=$('#filter_barcode').val();
                    data.filter_date=$('#filter_date').val();
                }
            },
            // orderCellsTop: true,
            fixedHeader: true,
            "columns": [
                {data:"id"},
                {data:"barcode"},
                {data:"patient.code"},
                {data:"patient.name"},
                {data:"patient.gender"},
                {data:"patient.age",searchable:false,orderable:false,sortable:false},
                {data:"patient.phone"},
                {data:"tests",searchable:false,orderable:false,sortable:false},
                {data:"created_at",searchable:false,orderable:false,sortable:false},
                {data:"done",searchable:false,sortable:false,orderable:false},
                {data:"signed",searchable:false,sortable:false,orderable:false},
                {data:"action",searchable:false,sortable:false,orderable:false},
            ],
            "language": {
                "sEmptyTable":     trans("No data available in table"),
                "sInfo":           trans("Showing")+" _START_ "+trans("to")+" _END_ "+trans("of")+" _TOTAL_ "+trans("records"),
                "sInfoEmpty":      trans("Showing")+" 0 "+trans("to")+" 0 "+trans("of")+" 0 "+trans("records"),
                "sInfoFiltered":   "("+trans("filtered")+" "+trans("from")+" _MAX_ "+trans("total")+" "+trans("records")+")",
                "sInfoPostFix":    "",
                "sInfoThousands":  ",",
                "sLengthMenu":     trans("Show")+" _MENU_ "+trans("records"),
                "sLoadingRecords": trans("Loading..."),
                "sProcessing":     trans("Processing..."),
                "sSearch":         trans("Search")+":",
                "sZeroRecords":    trans("No matching records found"),
                "oPaginate": {
                    "sFirst":    trans("First"),
                    "sLast":     trans("Last"),
                    "sNext":     trans("Next"),
                    "sPrevious": trans("Previous")
                },
            }
        });

        $('#filter_status').on('change',function(){
            table.draw();
        });

        $('#filter_barcode').on('input',function(){
            table.draw();
        });

        // filter date
        $('#filter_date').on( 'cancel.daterangepicker', function(){
            $(this).val('');
            table.draw();
        });

        $('#filter_date').on('apply.daterangepicker',function(){
            table.draw();
        });

        $('.datepickerrange').val('');

        var patient_code=$('#patient_code').val();

        //QRCode
        $(".patient_qrcode").ClassyQR({
            create: true,
            size: '180',
            type: 'url',
            url:url('login/'+patient_code)
        });  

     
      //validate printing
      $('#print_form').on('submit',function(){
        var count_tests=$('input[type=checkbox]:checked').length;
        if(count_tests==0)
        {
        toastr.error(trans('Please select at least one test'),trans('Failed'));

        return false;
        }
      });

      //select all
      $('.select_all').on('click',function(){
        $('input[type=checkbox]').prop('checked',true);
      });

      $('.deselect_all').on('click',function(){
        $('input[type=checkbox]').prop('checked',false);
      });

    //print barcode
    $(document).on('click','.print_barcode',function(){
        var group_id=$(this).attr('group_id');
        $('#print_barcode_form').attr('action',url('admin/groups/print_barcode/'+group_id));
    });

    $(document).on('submit','#print_barcode_form',function(){
        $('#print_barcode_modal').modal('toggle');
    });

    //active tabs
    $('.nav-tabs').each(function(){
        $(this).find('.nav-link').first().addClass('active');
    });

    $('.tab-content').each(function(){
        $(this).find('.tab-pane').first().addClass('active');
    });

    //initialize summernote
    $('.result').summernote({
        tabsize: 4,
        heigt:100,
        tooltip: false,
        dialogsFade: true,
        toolbar: [
          ['style', ['bold', 'italic', 'underline', 'clear']],
          ['fontsize', ['fontsize']],
          ['color', ['color']],
          ['para', ['ul', 'ol', 'paragraph']],
        ]
    });
})(jQuery);


