<div class="row select_patient">
    <div class="col-lg-12">
        <div class="form-group">
            <label for="patient_id">{{__('Select Patient')}}</label>
            @can('create_patient')
                <button type="button" class="btn btn-warning btn-sm add_patient float-right"  data-toggle="modal" data-target="#patient_modal">
                    <i class="fa fa-exclamation-triangle"></i>  {{__('Not Listed ?')}}
                </button>
            @endcan
            <select id="patient_id" name="patient_id" class="form-control" required>
                @if(isset($booking)&&isset($booking['patient']))
                    <option value="{{$booking['patient']['id']}}" selected>{{$booking['patient']['name']}}</option>
                @endif
            </select>
        </div>
    </div>
</div>


<div class="row patient_info">

    <div class="col-lg-4">
       <div class="form-group">
        <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text" id="basic-addon1">
                  <i class="fa fa-user"></i>
              </span>
            </div>
            <input type="text" class="form-control" placeholder="{{__('Patient Name')}}" name="name" id="name" @if(isset($booking)&&isset($booking['patient'])) value="{{$booking['patient']['name']}}"  @endif disabled required>
        </div>
       </div>
    </div>

    <div class="col-lg-4">
        <div class="form-group">
            <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text" id="basic-addon1">
                    <i class="fas fa-phone-alt"></i>
                  </span>
                </div>
                <input type="text" class="form-control" placeholder="{{__('Phone number')}}" name="phone" id="phone" @if(isset($booking)&&isset($booking['patient'])) value="{{$booking['patient']['phone']}}"  @endif disabled required>
            </div>
        </div>
    </div>

    <div class="col-lg-4">
        <div class="form-group">
            <div class="form-group">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text" id="basic-addon1">
                        <i class="fas fa-mars"></i>
                      </span>
                    </div>
                    <select class="form-control" name="gender" placeholder="{{__('Gender')}}" id="gender" @if(isset($booking)&&isset($booking['patient']))  @endif disabled required>
                        <option value="" disabled selected>{{__('Select Gender')}}</option>
                        <option value="male"  @if(isset($booking)&&$booking['patient']['gender']=='male') selected @endif>{{__('Male')}}</option>
                        <option value="female"  @if(isset($booking)&&$booking['patient']['gender']=='female') selected @endif>{{__('Female')}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    
</div>

<div class="row">

    <div class="col-lg-4">
        <div class="form-group">
            <div class="form-group">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text" id="basic-addon1">
                        <i class="fas fa-map-marker-alt"></i>
                      </span>
                    </div>
                    <input type="text" class="form-control" placeholder="{{__('Address')}}" name="address" id="address" @if(isset($booking)&&isset($booking['patient'])) value="{{$booking['patient']['address']}}"  @endif disabled required>
                </div>
            </div>
        </div>
    </div>
    
    <div class="col-lg-4">
        <div class="form-group">
            <div class="form-group">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text" id="basic-addon1">
                        <i class="fas fa-envelope"></i>
                      </span>
                    </div>
                    <input type="email" class="form-control" id="email" placeholder="{{__('Email')}}" name="email" required @if(isset($booking)&&isset($booking['patient'])) value="{{$booking['patient']['email']}}"  @endif disabled>
                </div>
            </div>
        </div>
    </div>

    <div class="col-lg-4">
        <div class="form-group">
            <div class="form-group">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text" id="basic-addon1">
                        <i class="fas fa-baby"></i>
                      </span>
                    </div>
                    <input type="text" class="form-control datepicker" id="dob" placeholder="{{__('Date of birth')}}" name="dob" required @if(isset($booking)&&isset($booking['patient'])) value="{{$booking['patient']['dob']}}"  @endif style="z-index: 1000!important" disabled>
                </div>
            </div>
        </div>
    </div>

    

    <div class="col-lg-4">
        <div class="form-group">
            <div class="form-group">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                        <i class="fas fa-calendar"></i>
                    </span>
                    </div>
                    <input type="text" class="form-control datepicker" id="booking_date" placeholder="{{__('booking Date')}}" name="booking_date" required @if(isset($booking)) value="{{$booking['booking_date']}}" @endif style="z-index: 1000!important" readonly>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
         <div class="card card-danger">
             <div class="card-header">
                 <h5 class="card-title">
                     <i  class="fas fa-map-marked-alt nav-icon"></i>
                     {{__('Location on map')}}
                 </h5>
             </div>
             <input type="hidden" name="lat" id="booking_lat" @if(isset($booking)) value="{{$booking['lat']}}" @endif>
             <input type="hidden" name="lng" id="booking_lng" @if(isset($booking)) value="{{$booking['lng']}}" @endif>
             <input type="hidden" name="zoom_level" id="zoom_level" @if(isset($booking)) value="{{$booking['zoom_level']}}" @endif>
             <div class="card-body">
                 <div id="map" style="min-height:500px"></div>
             </div>
         </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
        <div class="card card-danger">
            <div class="card-header">
                <h5 class="card-title">
                     <i  class="fas fa-file-pdf nav-icon"></i>
                    {{__('Attachment')}}
                </h5>
            </div>
            <div class="card-body">
                <div class="form-group">
                    <label for="exampleInputFile">
                        {{__('Attachment Image')}} ({{__('optional')}})
                        @if(!empty($booking)&&!empty($booking['attach']))
                            <a href="{{url('uploads/bookings/'.$booking['attach'])}}" class="btn btn-primary btn-sm">
                                <i class="fa fa-eye"></i>
                            </a>
                        @endif
                    </label>
                    <div class="input-group">
                        <div class="custom-file">
                            <input type="file" name="attach" accept="image/*" class="custom-file-input" id="attachment">
                            <label class="custom-file-label" for="attachment">{{__('Choose file')}}</label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
 
