@extends('layouts.app')

@section('title')
{{__('Edit Test')}}
@endsection

@section('breadcrumb')
<div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0 text-dark">
            <i class="fa fa-x-ray"></i>
            {{__('Tests')}}
          </h1>
        </div><!-- /.col -->
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="{{route('admin.index')}}">{{__('Home')}}</a></li>
            <li class="breadcrumb-item "><a href="{{route('admin.tests.index')}}">{{__('Tests')}}</a></li>
            <li class="breadcrumb-item active">{{__('Edit Test')}}</li>
          </ol>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
  </div>
@endsection

@section('content')
<div class="card card-primary">
    <div class="card-header">
      <h3 class="card-title">{{__('Edit Test')}}</h3>
    </div>
    <!-- /.card-header -->
    <form method="POST" action="{{route('admin.tests.update',$test['id'])}}" id="test_form">
        <!-- /.card-header -->
        <div class="card-body">
            @csrf
            @method('put')
            @include('admin.tests._form')
        </div>
        <!-- /.card-body -->

        <div class="card-footer">
            <button type="submit" class="btn btn-primary"> <i class="fa fa-check"></i> {{__('Save')}}</button>
        </div>
    </form>
    <!-- /.card-body -->
  </div>
@endsection
@section('scripts')
  <script src="{{url('js/admin/tests.js')}}"></script>
@endsection