<div class="row text-center">
    <div class="col-lg-12">
        <div class="card card-primary">
            <div class="card-header">
                <h5 class="card-title">
                    <?php echo e(__('Select branch')); ?>

                </h5>
            </div>
            <div class="card-body">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text">
                          <i class="fas fa-map-marked-alt nav-icon"></i>
                      </span>
                    </div>

                    <?php if(isset($group)): ?>
                        <input type="hidden" value="<?php echo e($group['branch_id']); ?>" id="branch_id">
                    <?php endif; ?>

                    <?php if(isset($booking)): ?>
                        <input type="hidden" value="<?php echo e($booking['patient']['id']); ?>" patient_name="<?php echo e($booking['patient']['name']); ?>" id="booking_patient_id">
                    <?php endif; ?>

                    <select name="branch_id" id="branch" class="form-control" required>
                        <option value="" selected disabled><?php echo e(__('Select tests branch')); ?></option>
                        <?php if(isset($group['branch'])&&!$branches->contains('id',$group['branch_id'])): ?>
                            <option value="<?php echo e($group['branch']['id']); ?>"><?php echo e($group['branch']['name']); ?></option>
                        <?php endif; ?>
                        <?php $__currentLoopData = $branches; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <option value="<?php echo e($branch['id']); ?>"><?php echo e($branch['name']); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Patient Info -->
 <div class="card card-primary">
    <div class="card-header">
        <h3 class="card-title">
            <?php echo e(__('Patient Info')); ?>

        </h3>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create_patient')): ?>
            <button type="button" class="btn btn-warning btn-sm add_patient float-right"  data-toggle="modal" data-target="#patient_modal">
                <i class="fa fa-exclamation-triangle"></i>  <?php echo e(__('Not Listed ?')); ?>

            </button>
        <?php endif; ?>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-lg-3">
                <div class="form-group">
                    <label><?php echo e(__('Code')); ?></label>
                    <select id="code" name="patient_id" class="form-control" required>
                        <?php if(isset($group)&&isset($group['patient'])): ?>
                            <option value="<?php echo e($group['patient']['id']); ?>" selected><?php echo e($group['patient']['code']); ?></option>
                        <?php endif; ?>
                    </select>
                </div> 
            </div>
            <div class="col-lg-3">
                <div class="form-group">
                    <label><?php echo e(__('Name')); ?></label>
                    <select id="name" name="patient_id" class="form-control" required>
                        <?php if(isset($group)&&isset($group['patient'])): ?>
                            <option value="<?php echo e($group['patient']['id']); ?>" selected><?php echo e($group['patient']['name']); ?></option>
                        <?php endif; ?>
                    </select>
                </div> 
            </div>
            <div class="col-lg-3">
                <div class="form-group">
                    <label><?php echo e(__('Date of birth')); ?></label>
                    <input class="form-control" id="dob" <?php if(isset($group)&&isset($group['patient'])): ?> value="<?php echo e($group['patient']['dob']); ?>" <?php endif; ?> readonly>
                </div> 
            </div>
            <div class="col-lg-3">
                <div class="form-group">
                    <label><?php echo e(__('Phone')); ?></label>
                    <input class="form-control" id="phone" <?php if(isset($group)&&isset($group['patient'])): ?> value="<?php echo e($group['patient']['phone']); ?>" <?php endif; ?>  readonly>
                </div> 
            </div>
            <div class="col-lg-3">
                <div class="form-group">
                    <label><?php echo e(__('Email')); ?></label>
                    <input class="form-control" id="email" <?php if(isset($group)&&isset($group['patient'])): ?> value="<?php echo e($group['patient']['email']); ?>" <?php endif; ?> readonly>
                </div> 
            </div>
            <div class="col-lg-3">
                <div class="form-group">
                    <label><?php echo e(__('Gender')); ?></label>
                    <input class="form-control" id="gender" <?php if(isset($group)&&isset($group['patient'])): ?> value="<?php echo e($group['patient']['gender']); ?>" <?php endif; ?> readonly>
                </div> 
            </div>
            <div class="col-lg-3">
                <div class="form-group">
                    <label><?php echo e(__('Address')); ?></label>
                    <input class="form-control" id="address" <?php if(isset($group)&&isset($group['patient'])): ?> value="<?php echo e($group['patient']['address']); ?>" <?php endif; ?> readonly>
                </div> 
            </div>
            <div class="col-lg-3">
                <div class="form-group">
                    <label><?php echo e(__('Doctor')); ?></label> 
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create_doctor')): ?>
                        <button type="button" class="btn btn-warning btn-sm float-right"  data-toggle="modal" data-target="#doctor_modal"><i class="fa fa-exclamation-triangle"></i> <?php echo e(__('Not Listed ?')); ?></button>
                    <?php endif; ?>
                    <select class="form-control" name="doctor_id" id="doctor">
                        <?php if(isset($group)&&isset($group['doctor'])): ?>
                            <option value="<?php echo e($group['doctor']['id']); ?>" selected><?php echo e($group['doctor']['name']); ?></option>
                        <?php endif; ?>
                    </select>
                </div> 
            </div>
        </div>
    </div>
</div>
<!-- /patient info-->

<!-- test -->
<div class="row">
    <div class="col-lg-12">
        <div class="card card-primary">
            <div class="card-header">
                <h5 class="card-title">
                    <?php echo e(__('Tests')); ?>

                </h5>
            </div>
            <div class="card-body tests">
                <table class="table table-bordered table-sm datatables" width="100%">
                    <thead>
                        <tr>
                            <td><?php echo e(__('Test Name')); ?></td>
                            <td><?php echo e(__('Price')); ?></td>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $tests; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $test): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    <input type="checkbox"  class="test" id="test_<?php echo e($test['id']); ?>" value="<?php echo e($test['id']); ?>" price="<?php echo e($test['price']); ?>"> 
                                    <label for="test_<?php echo e($test['id']); ?>"><?php echo e($test['name']); ?></label>
                                </td>
                                <td>
                                    <?php echo e(formated_price($test['price'])); ?>

                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

 </div>  
<!-- \End test -->

<!-- Receipt -->
<div class="card card-primary">
    <div class="card-header">
        <h3 class="card-title">
            <?php echo e(__('Receipt')); ?>

        </h3>
    </div>
    <div class="card-body" id="receipt">
         <div class="row">
             <div class="col-lg-8 offset-lg-2">
                <table class="table  table-stripped" id="receipt_table">
                    <tbody>

                        <tr>
                            <td><?php echo e(__('Subtotal')); ?></td>
                            <td>
                                <input type="number" id="subtotal" name="subtotal"  <?php if(isset($group)): ?> value="<?php echo e($group['subtotal']); ?>" <?php else: ?> value="0"  <?php endif; ?> readonly class="form-control">
                            </td>
                            <td>
                                <?php echo e(get_currency()); ?>

                            </td>
                        </tr>

                        <tr>
                            <td><?php echo e(__('Contract')); ?></td>
                            <td>
                                <?php if(isset($group)): ?>
                                    <input type="hidden" value="<?php echo e($group['contract_id']); ?>" id="contract_id">
                                <?php endif; ?>
                                <select name="contract_id" id="contract_discount" class="form-control select2">
                                    <option value=""></option>
                                    <?php if(isset($group['contract'])&&!$contracts->contains('id',$group['contract_id'])): ?>
                                        <option value="<?php echo e($group['contract']['id']); ?>"><?php echo e($group['contract']['title']); ?> ( <?php echo e($contract['discount']); ?> % )</option>
                                    <?php endif; ?>
                                    <?php $__currentLoopData = $contracts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contract): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($contract['id']); ?>" discount="<?php echo e($contract['discount']); ?>"><?php echo e($contract['title']); ?> ( <?php echo e($contract['discount']); ?> % )</option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </td>
                            <td>
                                <button type="button" id="cancel_contract" class="btn btn-sm btn-danger">
                                    <i class="fa fa-times"></i>
                                </button>
                            </td>
                        </tr>

                        <tr>
                            <td><?php echo e(__('Discount')); ?></td>
                            <td>
                                <input type="number" id="discount" name="discount"  <?php if(isset($group)): ?> value="<?php echo e($group['discount']); ?>" <?php else: ?> value="0"  <?php endif; ?> readonly class="form-control">
                            </td>
                            <td>
                                <?php echo e(get_currency()); ?>

                            </td>
                        </tr>
                        
                        <tr>
                            <td><?php echo e(__('Total')); ?></td>
                            <td>
                                <input type="number" id="total" name="total" class="form-control" <?php if(isset($group)): ?> value="<?php echo e($group['total']); ?>" <?php else: ?> value="0"  <?php endif; ?>  readonly>
                            </td>
                            <td>
                                <?php echo e(get_currency()); ?>

                            </td>
                        </tr>
                        <tr>
                            <td><?php echo e(__('Paid')); ?></td>
                            <td>
                                <input type="number" id="paid" name="paid" min="0" class="form-control" <?php if(isset($group)): ?> value="<?php echo e($group['paid']); ?>" <?php else: ?> value="0"  <?php endif; ?>   required>
                            </td>
                            <td>
                                <?php echo e(get_currency()); ?>

                            </td>
                        </tr>
                        <tr>
                            <td><?php echo e(__('Due')); ?></td>
                            <td>
                                <input type="number" id="due" name="due" class="form-control" <?php if(isset($group)): ?> value="<?php echo e($group['due']); ?>" <?php else: ?> value="0"  <?php endif; ?>   readonly>
                            </td>
                            <td>
                                <?php echo e(get_currency()); ?>

                            </td>
                        </tr>
                    </tbody>
                </table>
             </div>
         </div>  
    </div>
</div>
<!-- \Receipt -->


<div class="row">
    <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
        <button type="submit" class="btn btn-primary form-control"><?php echo e(__('Save')); ?></button>
    </div>
    <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
        <a href="<?php echo e(route('admin.groups.index')); ?>" class="btn btn-danger form-control"><?php echo e(__('Cancel')); ?></a>
    </div>
</div>

<br>
<?php /**PATH D:\Extremelab\Extreme Radiology\Extreme-radiology-main-files-v1.0.0\Extreme Radiology\resources\views/admin/groups/_form.blade.php ENDPATH**/ ?>